# OverheadBenchmark
<span class="source-link">[[Source]](src/ponybench/benchmark.md#L79)</span>

Default benchmark for measuring synchronous overhead.


```pony
class iso OverheadBenchmark is
  MicroBenchmark iso
```

#### Implements

* [MicroBenchmark](ponybench-MicroBenchmark.md) iso

---

## Constructors

### create
<span class="source-link">[[Source]](src/ponybench/benchmark.md#L79)</span>


```pony
new iso create()
: OverheadBenchmark iso^
```

#### Returns

* [OverheadBenchmark](ponybench-OverheadBenchmark.md) iso^

---

## Public Functions

### name
<span class="source-link">[[Source]](src/ponybench/benchmark.md#L83)</span>


```pony
fun box name()
: String val
```

#### Returns

* [String](builtin-String.md) val

---

### apply
<span class="source-link">[[Source]](src/ponybench/benchmark.md#L86)</span>


```pony
fun ref apply()
: None val
```

#### Returns

* [None](builtin-None.md) val

---

### config
<span class="source-link">[[Source]](src/ponybench/benchmark.md#L20)</span>


```pony
fun box config()
: BenchConfig val
```

#### Returns

* [BenchConfig](ponybench-BenchConfig.md) val

---

### overhead
<span class="source-link">[[Source]](src/ponybench/benchmark.md#L21)</span>


```pony
fun box overhead()
: MicroBenchmark iso^
```

#### Returns

* [MicroBenchmark](ponybench-MicroBenchmark.md) iso^

---

### before
<span class="source-link">[[Source]](src/ponybench/benchmark.md#L22)</span>


```pony
fun ref before()
: None val ?
```

#### Returns

* [None](builtin-None.md) val ?

---

### before_iteration
<span class="source-link">[[Source]](src/ponybench/benchmark.md#L23)</span>


```pony
fun ref before_iteration()
: None val ?
```

#### Returns

* [None](builtin-None.md) val ?

---

### after
<span class="source-link">[[Source]](src/ponybench/benchmark.md#L25)</span>


```pony
fun ref after()
: None val ?
```

#### Returns

* [None](builtin-None.md) val ?

---

### after_iteration
<span class="source-link">[[Source]](src/ponybench/benchmark.md#L26)</span>


```pony
fun ref after_iteration()
: None val ?
```

#### Returns

* [None](builtin-None.md) val ?

---

